package fr.monkhanny.dorfromantik.listeners;

import fr.monkhanny.dorfromantik.game.Board;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

public class GameMouseClickListener extends MouseAdapter {
    private Board board;

    public GameMouseClickListener(Board board) {
        this.board = board;
    }

    @Override
    public void mousePressed(MouseEvent e) {
        board.handleMouseClick(e);
    }
}
